@font-face {
  font-family: "Inter 28pt";
  src: url("../fonts/Inter28pt-Bold.woff2") format("woff2"),
    url("../fonts/Inter28pt-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter 28pt";
  src: url("../fonts/Inter28pt-Medium.woff2") format("woff2"),
    url("../fonts/Inter28pt-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter 28pt";
  src: url("../fonts/Inter28pt-Regular.woff2") format("woff2"),
    url("../fonts/Inter28pt-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter 28pt";
  src: url("../fonts/Inter28pt-SemiBold.woff2") format("woff2"),
    url("../fonts/Inter28pt-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

:root {
  --primary-color-blue: #062456;
  --primary-color-green: #a3cd5c;
  --primary-color-orange: #f16156;
  --primary-dim-black: #202020;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: #ffffff;
  font-family: "Inter 28pt";
}

.loginContainer {
  height: 100vh;
  width: 100%;
  background: url(../images/login-bg.jpg) no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  align-items: center;
  overflow: hidden;
}

.login-page-body {
  max-width: 1480px;
  margin: auto;
  width: 100%;
  height: 100%;
  padding: 0 120px 30px;
  background-size: 100%;
}

.login-form-section {
  box-shadow: 0px 0px 10px #00000014;
  width: 457px;
  height: max-content;
  border-radius: 15px;
  max-width: 100%;
}

.login-form-logo-block {
  background-color: var(--primary-color-blue);
  border-radius: 15px 15px 0 0;
  height: 145px;
}

.login-form-logo-block .brand-logo {
  max-height: 60px;
  margin-right: 10px;
  padding: 0 15px;
  display: block;
  max-width: 100%;
}

.login-form-logo-block .brand-name {
  text-align: left;
  font-size: 22px;
  font-weight: 500;
  color: #fff;
  padding-left: 10px;
}

.login-form-body-block {
  padding: 30px;
  background-color: #fff;
  border-radius: 0 0 15px 15px;
}

.login-form-body-block h2 {
  color: var(--primary-dim-black);
  font-size: 36px;
  margin-bottom: 30px;
}

.login-form-inputs input {
  width: 100%;
  border: 1px solid #b7b7b7 !important;
  font-size: 14px;
  color: var(--primary-dim-black);
  height: 48px !important;
  margin-top: 20px;
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  min-height: inherit !important;
}

.login-form-inputs label {
  color: #84818a !important;
  font-size: 14px;
  padding: 0.8rem 0.75rem;
}

.login-form-body-block .form-floating > .form-control-plaintext ~ label,
.login-form-body-block .form-floating > .form-control:focus ~ label,
.login-form-body-block
  .form-floating
  > .form-control:not(:placeholder-shown)
  ~ label,
.login-form-body-block .form-floating > .form-select ~ label {
  color: rgba(var(--bs-body-color-rgb), 0.65);
  transform: scale(1) translateY(-1.6rem) translateX(0rem) !important;
}

.moc-details-select select {
  width: 100%;
  border: 1px solid #b7b7b7 !important;
  font-size: 14px;
  color: var(--primary-dim-black);
  height: 48px !important;
  margin: 20px 0;
  border-radius: 7px;
  min-height: inherit !important;
}

.popup-dropdown select {
  width: 100%;
  border: 1px solid #b7b7b7 !important;
  font-size: 14px;
  color: var(--primary-dim-black);
  margin: 20px 0;
  height: 50px !important;
  border-radius: 7px;
  min-height: inherit !important;
}

.form-floating > .form-select {
  padding-top: 0.625rem;
  padding-bottom: 0.625rem;
}

.moc-details-select label {
  color: #000 !important;
  font-size: 16px;
  font-weight: 500;
}

.popup-dropdown label {
  color: #000 !important;
  font-size: 16px;
  font-weight: 500;
}

.form-floating > .form-select ~ label::after {
  border-radius: 0;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    180deg,
    rgba(2, 0, 36, 0) 0%,
    rgba(255, 255, 255, 1) 62%,
    rgba(255, 255, 255, 1) 100%
  );
}

.details-body .form-floating > .form-control-plaintext ~ label,
.details-body .form-floating > .form-control:focus ~ label,
.details-body .form-floating > .form-control:not(:placeholder-shown) ~ label,
.details-body .form-floating > .form-select ~ label {
  color: rgba(var(--bs-body-color-rgb), 0.65);
  transform: scale(0.85) translateY(-1.8rem) translateX(0.15rem) !important;
}

.risk-activity-inputs .form-floating > .form-control-plaintext ~ label,
.risk-activity-inputs .form-floating > .form-control:focus ~ label,
.risk-activity-inputs
  .form-floating
  > .form-control:not(:placeholder-shown)
  ~ label,
.risk-activity-inputs .form-floating > .form-select ~ label {
  color: rgba(var(--bs-body-color-rgb), 0.65);
  transform: scale(0.85) translateY(-1.8rem) translateX(0.15rem) !important;
}

.risk-activity-inputs .form-floating > textarea.form-control-plaintext ~ label,
.risk-activity-inputs .form-floating > textarea.form-control:focus ~ label,
.risk-activity-inputs
  .form-floating
  > textarea.form-control:not(:placeholder-shown)
  ~ label {
  color: rgba(var(--bs-body-color-rgb), 0.65);
  transform: scale(0.85) translateY(-1.2rem) translateX(0.15rem) !important;
  padding-top: 0 !important;
}

.risk-activity-inputs .form-floating > textarea {
  padding-top: 10px !important;
}

.eye-icon {
  position: absolute;
  top: 45%;
  right: 10px;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
}

.eye-icon img {
  height: 18px;
}

.fogot-password-link {
  color: #47464a;
  font-size: 14px;
  text-decoration: none;
}

.forgot-password-and-sign-in {
  margin-top: 20px;
  margin-bottom: 10px;
}

.forgot-password-and-sign-in .submit-btn {
  width: 165px;
  height: 48px;
  background-color: var(--primary-color-orange);
  border-radius: 10px;
  color: #fff;
  font-size: 14px;
  outline: none;
  border: none;
  font-weight: 600;
}

.emoc-heading-one {
  font-size: 180px;
  border-bottom: 5px solid #cbcbcb;
  padding: 25px 0;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

.emoc-heading-one strong {
  letter-spacing: 1.8px;
}

.red {
  color: var(--primary-color-orange);
}

.emoc-heading-two {
  margin-top: 25px;
  font-size: 80px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  line-height: 80px;
}

.page-heading {
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 3px 6px #0000000d;
  background-color: #fff;
}

.head_name {
  font-size: 20px;
  color: #334651 !important;
  text-decoration: none;
  font-weight: 500;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.head_name img {
  height: 16px;
  margin-right: 10px;
  font-weight: bold;
}

.head_action_btn {
  border-radius: 10px;
  width: 90px;
  height: 42px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 0;
  outline: none;
  background-color: #9b85e0;
  font-size: 12px;
  text-decoration: none;
  color: #fff;
  line-height: 15px;
  text-align: left;
  font-weight: bold;
}

.head_action_btn img {
  margin-right: 10px;
  height: 16px;
}

.action-btn-block {
  gap: 10px;
  width: fit-content;
}

.moc-document-block {
  padding: 20px;
  /* background-color: #fff; */
}

.moc-document-block ul {
  list-style: none;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  overflow-x: auto;
}

.moc-document-block .doc-item {
  min-width: 110px;
  max-width: 135px;
  height: 50px;
  background-color: #e0e98c;
  color: #000;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 5px;
}

.moc-document-block .doc-item.moc-evaluation {
  background-color: #c69503 !important;
  color: #fff !important;
}

.moc-document-block .doc-item.moc-forward {
  background-color: #062456 !important;
  color: #fff !important;
}

.moc-document-block .doc-item-link {
  color: #000;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  font-weight: 500;
  padding: 5px 12px;
}

.moc-document-block .doc-item.moc-evaluation .doc-item-link {
  color: #fff !important;
}

.moc-document-block .doc-item.moc-forward .doc-item-link {
  color: #fff !important;
}

.moc-document-block .doc-item-link img {
  font-size: 18px;
  margin-right: 7px;
}

.moc-document-block .doc-item-link .item-name {
  line-height: 17px;
}

.moc-details-area {
  background-color: #fff;
  /* box-shadow: 0px 0px 6px #0000000D; */
  padding: 20px;
}

.section-head {
  color: #334651;
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 20px;
}

.details-body {
  background-color: #ecffe7;
  padding: 20px;
  border-radius: 10px;
}

.moc-classification-block {
  padding: 20px;
}

.moc-classification-body {
  background-color: #dcf1f8;
  padding: 20px;
  border-radius: 10px;
}

.section-sub-head {
  color: #000000 !important;
  font-size: 20px !important;
  font-weight: bold;
  margin-bottom: 10px;
}

.classification-checks input {
  width: 18px !important;
  height: 18px !important;
  margin-right: 5px;
}

.classification-checks label {
  font-size: 14px;
  color: #000;
  font-weight: 500;
}

.moc-classification-detail {
  background-color: #ecffe7;
  padding: 20px;
  border-radius: 10px;
}

.textarea-section {
  border-radius: 8px;
  border: 1px solid #b7b7b7;
  min-height: 160px;
  width: 100%;
  background-color: #fff;
  padding: 16px;
  outline: none;
}

.textarea-note {
  color: #000000;
  font-size: 13px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
}

.action-btn-block {
  padding: 20px;
}

.action-btn-cancel,
.action-btn-save-close,
.action-btn-review-send-back,
.action-btn-forward,
.action-btn-routine,
.action-btn-urgent {
  height: 50px;
  border-radius: 7px;
  min-width: 130px;
  max-width: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  outline: none;
  font-size: 14px;
  font-weight: 500;
  padding: 0 15px;
}

.action-btn-cancel {
  border: 1px solid #bcbcbc;
  color: #727272;
  background-color: #fff;
}
.action-btn-review-send-back {
  border: 1px solid #eb5d31;
  color: #fff;
  background-color: #eb5d31;
}
.action-btn-save-close {
  border: 1px solid #4b49ac;
  color: #fff;
  background-color: #4b49ac;
}

.action-btn-forward {
  border: 1px solid #00d25b;
  color: #fff;
  background-color: #00d25b;
}

.action-btn-preview {
  border: 1px solid #f7e45d;
  color: #000;
  background-color: #f7e45d;
}
.action-btn-save-as-draft {
  border: 1px solid #1dc1ff;
  color: #fff;
  background-color: #1dc1ff;
}
.action-btn-routine {
  border: 1px solid #4da4cf;
  color: #fff;
  background-color: #4da4cf;
}

.action-btn-urgent {
  border: 1px solid #eb5d31;
  color: #fff;
  background-color: #eb5d31;
}

.action-btn-forward img {
  height: 24px;
  margin-left: 5px;
}

/* MOC information page css start */

.moc-information {
  display: grid;
  grid-template-columns: 50% 50%;
  border-radius: 6px;
  font-size: 14px;
  font-weight: 500;
  min-height: 42px;
  max-height: max-content;
  margin-bottom: 10px;
}

.moc-information .moc-info-label {
  background-color: #d8deec;
  padding: 5px 20px;
  height: 100%;
  border-radius: 6px 0 0 6px;
  color: #000;
}

.moc-information .moc-info-value {
  background-color: #fff;
  padding: 5px 20px;
  height: 100%;
  border-radius: 0 6px 6px 0;
  color: #1b6996;
}

.emoc-info-toggle {
  border: none;
}

.emoc-info-toggle .accordion-button {
  border-radius: 8px;
  font-size: 15px;
}

.emoc-info-toggle .accordion-button:not(.collapsed) {
  background-color: #fff;
}

.emoc-info-toggle .accordion-button::after {
  background-image: url(/images/plus-green-icon.svg);
  background-size: 22px;
}

.emoc-info-toggle .accordion-button:not(.collapsed)::after {
  background-image: url(/images/minus-green-icon.svg);
}

.custom-width-300 {
  width: 300px !important;
}

.font-lg-14 {
  font-size: 14px !important;
}

.user-table {
  width: 100%;
}

.hazop-report-table {
  width: 100%;
}

.emoc-pending-table {
  width: 100%;
}

.table-responsive .pending-table-value-cell {
  padding: 0.5rem;
}
.table-responsive .cell.one {
  width: 150px;
} /* RDLC ID */
.table-responsive .cell.two {
  width: 180px;
} /* Forwarded by */
.table-responsive .cell.three {
  width: 130px;
} /* Forwarded Date */
.table-responsive .cell.four {
  width: 200px;
} /* RDLC Name */
.table-responsive .cell.five {
  width: 150px;
} /* Presently with */
.table-responsive .cell.six {
  width: 220px;
} /* Purpose of Present Stage & Since */

.table-responsive .pending-table-value-cell,
.pending-table-heading-cell {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.table-responsive .pending-table-value-cell .cell,
.pending-table-heading-cell .cell {
  padding: 5px;
  box-sizing: border-box;
}

/* Optional: to ensure cells don’t wrap if widths are enough */
.table-responsive .pending-table-value-cell,
.pending-table-heading-cell {
  white-space: nowrap;
}

.table-heading-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #4da4cf !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
}

.table-value-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 8px;
  font-weight: 500;
}

.hazop-table-head {
  font-size: 24px;
  color: #54595e;
  text-align: center;
  width: 100%;
}

.hazop-table-heading-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #9b85e0 !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
}

.hazop-value-heading-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 8px;
  font-weight: 500;
  border: 1px solid #b7b7b7;
  margin-top: 5px;
}

.user-forword-heading-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #4da4cf !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
}

.user-forword-value-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 8px;
  font-weight: 500;
  border: 1px solid #b7b7b7;
  margin-top: 5px;
}

.attach-file-value-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #fff !important;
  font-weight: 500;
  border-bottom: 1px solid #dcf1f8;
  padding: 10px;
}
/*
.uploaded-docs-value-cell {
  display: grid;
  grid-template-columns: 25% 25% 25% 25%;
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #fff !important;
  font-weight: 500;
  border-bottom: 1px solid #DCF1F8;
  padding: 10px;
} */
.cell {
  display: flex;
  justify-content: start;
  align-items: center;
  overflow-wrap: anywhere;
  padding: 0 10px;
}

.bg-dark-sky-blue {
  background-color: #a1d9ec;
}

.sub-head-date {
  font-size: 15px !important;
}

.present-stage-block {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  font-weight: bold;
}

.present-stage-block span {
  font-size: 12px;
  color: #334651;
}

.present-stage-block p {
  font-size: 14px;
  color: #e54c68;
}

.red-mark-arrow {
  height: 20px;
  margin-right: 5px;
}

.page-input-fields {
  position: relative;
}

.page-input-fields label {
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
  margin-bottom: 3px;
}

.page-input-fields input,
.page-input-fields input:focus {
  border: 1px solid #b7b7b7;
  height: 50px;
}

.info-blue-icon {
  height: 16px;
}

/* .page-input-fields.search-input{
  width: 280px;
} */
.or-option {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 40px;
  width: 45px;
  text-transform: uppercase;
  font-size: 14px;
  border-radius: 100%;
  background-color: #bdf2ff;
  color: #127fb7;
  font-weight: bold;
}

.page-input-icon {
  position: absolute;
  right: 7%;
  bottom: 18%;
  height: 25px;
}

/* .date-input{
  width: 180px;
} */
/* .table-heading-cell {
  display: grid;
  grid-template-columns: 20% 20% 20% 40%;
  min-height: 40px;
  max-height: max-content;
  background-color: #4DA4CF !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
} */

.pending-table-heading-cell {
  /* display: grid; */
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 50px;
  max-height: max-content;
  background-color: #9b85e0 !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
}

.pending-table-value-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 50px;
  max-height: max-content;
  background-color: #dcf1f8 !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 8px;
  font-weight: 500;
}

.pending-table-value-cell-2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 50px;
  max-height: max-content;
  background-color: transparent !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 0 0 8px 8px;
  font-weight: 500;
}

.pending-table-value-block {
  display: flex;
  flex-direction: column;
}

.moc_no {
  color: #202a91;
}

.font-lg-12 {
  font-size: 12px;
}

.moc-flow {
  color: #0673a8;
  font-weight: bold;
}

.pending-table-value-block {
  border: 1px solid #4da4cf;
  border-radius: 6px;
}

.bg-light-green {
  background-color: #ecffe7 !important;
}

.modal_heading {
  font-size: 24px;
  color: #54595e;
  text-align: center;
}

.modal_close {
  background: url(/images/grey-circle-close-icon.svg) !important;
  opacity: unset;
  background-size: 30px !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  border-radius: 100%;
}

.risk-activity-info {
  background-color: #dcf1f8;
  width: 100%;
}

.risk-activity-info p {
  padding: 15px 25px;
}

.floating-textarea textarea,
.floating-textarea textarea:focus {
  border: 1px solid #b7b7b7;
  border-radius: 7px;
}

.form-floating > textarea.form-control:not(:placeholder-shown) {
  padding-top: 0 !important;
}

.floating-textarea textarea:not(:placeholder-shown) ~ label ~ div {
  width: calc(100% - 2rem);
  height: 0px;
  background-color: white;
  position: absolute;
  top: 1px;
  left: 1px;
  z-index: 1;
  padding-top: 10px !important;
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.form-floating > textarea.form-control:not(:placeholder-shown) ~ label::after {
  background-color: transparent !important;
}

.floating-textarea textarea ~ label {
  z-index: 2;
  color: #000 !important;
  font-size: 16px;
  font-weight: 500;
  padding: 0 !important;
  background-color: #fff;
  height: fit-content;
  top: 5px;
  left: 10px;
}

.floating-heading {
  position: absolute;
  left: 12px;
  top: -10px;
  background-color: #ecffe7;
  border-radius: 7px;
  height: 100%;
  width: 35px;
  font-size: 16px;
  color: #000;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
}

.floating-heading span {
  transform: rotate(-90deg);
  text-wrap: nowrap;
}

.risk-activity-body {
  max-height: 650px;
  overflow-x: hidden;
  overflow-y: auto;
}

.risk-activity-body::-webkit-scrollbar {
  width: 5px;
}

/* Track */
.risk-activity-body::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.risk-activity-body::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
.risk-activity-body::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.h-70 {
  height: 70px !important;
}

.popup-inputs-block {
  background-color: #ecffe7;
  padding: 20px;
  border-radius: 16px;
}

.select-user-head {
  font-size: 24px;
  font-weight: bold;
  text-align: left;
}

.forward-to-note {
  font-size: 18px;
  font-weight: bold;
  text-align: left;
  color: #dc5844;
}

.user-forward-select {
  width: 50% !important;
}

.select-user-input[type="radio"] {
  display: none;
}

/* Create a custom circular border */
.custom-radio {
  width: 20px;
  height: 20px;
  border: 2px solid green;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  cursor: pointer;
}

/* The inner green dot when selected */
.select-user-input[type="radio"]:checked + .custom-radio::before {
  content: "";
  width: 10px;
  height: 10px;
  background-color: green;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.nrl-popups {
  border-radius: 16px !important;
}

.moda-close-btn {
  position: absolute;
  right: 18px;
  top: 18px;
}

.section-white {
  background-color: #fff;
  padding: 10px;
  border-radius: 8px;
}

.purple-white {
  background-color: #9b85e0;
  padding: 10px;
  border-radius: 8px;
}

.file-input-wrapper {
  position: relative;
  display: inline-block;
}

.file-input {
  opacity: 0;
  position: absolute;
  z-index: -1;
  width: 100%;
}

.file-label {
  display: inline-block;
  padding: 10px 20px;
  font-size: 16px;
  color: #000;
  background-color: #d8deec;
  border: 1px solid #d8deec;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.file-label:active {
  background-color: #545b62;
}
.choose-file-label {
  font-size: 16px;
  font-weight: 500;
  margin-left: 15px;
}
.pdf-icon {
  height: 24px;
}
.pdf-date {
  font-size: 14px;
  font-weight: 500;
  color: #242634;
}
.pdf-name {
  font-size: 16px;
  font-weight: 500;
  color: #242634;
}
.blue-label {
  color: #0072ad;
  font-size: 14px;
  font-weight: 500;
}
.label-value {
  font-size: 16px;
  font-weight: 500;
}
.table-trash-icon {
  height: 24px;
}
.attach-file-checkbox[type="checkbox"] {
  height: 20px;
  width: 20px;
}
.generate-date {
  font-size: 16px;
  font-weight: bold;
}
.green-doc-icon {
  height: 20px;
}
.moc-note-block {
  background-color: #cff4fc;
  font-size: 12px;
  border: 1px solid #98c7d1;
  padding: 20px;
  border-radius: 8px;
  color: #2f6a1c;
}
.list-table-row {
  background-color: #9b85e0;
  color: #fff;
  font-weight: 500;
  border-radius: 8px;
  height: 50px;
}
.list-table-row td {
  background-color: unset;
  color: unset;
  font-size: 14px;
  /* border-radius: 8px; */
}
.list-table-row-blue td {
  background-color: #dcf1f8;
}
.list-table-row-green td {
  background-color: #ecffe7;
}
/* Target the first td in each row */
.list-table td:first-child {
  border-top-left-radius: 8px; /* Radius for top-left corner */
  border-bottom-left-radius: 8px; /* Radius for bottom-left corner */
}

/* Target the last td in each row */
.list-table td:last-child {
  border-top-right-radius: 8px; /* Radius for top-right corner */
  border-bottom-right-radius: 8px; /* Radius for bottom-right corner */
}
.list-table-checkbox[type="checkbox"] {
  width: 20px;
  height: 20px;
}
.list-table td {
  font-size: 14px;
  vertical-align: middle;
  padding: 10px;
}
.roles-column-head {
  color: #fff;
  font-size: 14px;
  font-weight: 500;
}
.role-page-input {
  height: 46px;
  border-radius: 8px;
  padding: 10px;
  border: 1px solid #707070;
}
.role-page-input:focus {
  border: 1px solid #707070;
}

.hazop-print-table-heading-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #9b85e0 !important;
  font-size: 14px;
  color: #fff !important;
  border-radius: 8px;
  font-weight: 500;
}

.hazop-print-table-value-cell {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  min-height: 40px;
  max-height: max-content;
  background-color: #fff !important;
  font-size: 14px;
  color: #000 !important;
  border-radius: 8px;
  font-weight: 500;
  border: 1px solid #b7b7b7;
}
.hazop-btn-label {
  font-size: 12px;
  color: #000;
}
.hazop-btn-label strong {
  font-size: 16px;
  color: #000;
  font-weight: 500;
}
.printing-icon-black {
  height: 32px;
}
.purple-text {
  color: #202a91;
}
.blue-text {
  color: #1e95d3;
}
.report-label {
  font-size: 16px;
}
.report-label span {
  font-weight: 500;
}

.feasibility-radio-check {
  --bs-form-check-bg: unset !important;
  border: 2px solid #080341;
  width: 18px;
  height: 18px;
}
.feasibility-radio-check:focus {
  box-shadow: none;
}
.feasibility-radio-check:checked {
  background-color: transparent !important;
  border: 2px solid #080341;
  box-shadow: none;
}
.feasibility-radio-check:checked[type="radio"] {
  --bs-form-check-bg-image: url("/images/black-dot-icon.svg");
  background-size: 12px 12px;
}
.feasibility-radio-label {
  color: #000000;
  font-size: 16px;
  margin-left: 5px;
}
.process-info-head {
  color: #000000;
  font-size: 16px;
  font-weight: normal;
  margin-bottom: 20px;
}
.process-info-textarea-section {
  border-radius: 8px;
  border: 1px solid #707070;
  height: 65px;
  width: 100%;
  background-color: #fff;
  padding: 10px;
  outline: none;
}
.process-info-textarea-section.extra-padding-top-height {
  padding: 20px 10px 10px 10px !important;
  height: 80px;
}

.process-info-textarea-label {
  position: absolute;
  top: 7px;
  left: 7px;
  font-size: 12px;
}

.feasibility-question-head {
  font-size: 16px;
  font-weight: 500;
}
.if_yes_note {
  font-size: 12px;
  color: #000;
}
.calender-input-icon {
  top: 10px;
  right: 10px;
}
.calender-input-box {
  width: 300px !important;
}
.cut-off-mark-number {
  background-color: #d8deec;
  padding: 5px 10px;
  width: 150px;
  font-size: 14px;
  top: 8px;
  right: 10px;
}

.border_bottom {
  border-bottom: 1px solid #000;
}
.text-left {
  text-align: left;
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}
.flex-align-right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.risk-assessment-table {
  border: 1px solid #000;
  width: 100%;
  font-size: 12px;
}
.risk-assessment-table th,
td {
  border-spacing: 0;
}
.head-row {
  display: grid;
  grid-template-columns: 3% 7% 3% 3% 3% 3% 7% 7% 7% 20% 7% 10% 20%;
  min-height: 200px;
}
.cell-row {
  display: grid;
  grid-template-columns: 3% 7% 3% 3% 3% 3% 7% 7% 7% 20% 7% 10% 20%;
  min-height: 50px;
}
.head-row th {
  text-align: center;
  overflow-wrap: anywhere;
  vertical-align: middle;
  background-color: #dcf1f8;
  padding: 2px;
  border-right: 1px solid #000;
}
.cell-row td {
  text-align: center;
  overflow-wrap: anywhere;
  vertical-align: middle;
  background-color: #fff;
  padding: 2px;
  border-top: 1px solid #000;
  border-right: 1px solid #000;
}
.head-row th div,
.cell-row td div {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.risk-level-section {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
}
.risk-level-columns {
  display: grid !important;
  grid-template-columns: 20% 15% 15% 15% 15% 20%;
}
.risk-level-columns label {
  width: 100%;
  text-wrap: nowrap;
}
.rotate-verticle {
  transform: rotate(-90deg);
}
.h-fit-content {
  height: fit-content !important;
}
.border-right-black {
  border-right: 1px solid #000;
}
.border-bottom-black {
  border-bottom: 1px solid #000;
}
.cell-bg-grey {
  background-color: #eeeeee;
}
.risk-priorty-inputs .form-control:disabled {
  background-color: #fff !important;
  opacity: 1;
}
.bg-color-transparent {
  background-color: transparent !important;
}
.section-child-head {
  color: #000000 !important;
  font-size: 18px !important;
  font-weight: 600;
  margin-bottom: 20px;
}

/* new added css 9apr2025 */

.action-btn-save-as-draft,
.action-btn-preview {
  height: 50px;
  border-radius: 7px;
  min-width: 130px;
  max-width: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  outline: none;
  font-size: 14px;
  font-weight: 500;
  padding: 0 15px;
}

.action-btn-preview {
  border: 1px solid #f7e45d;
  color: #000;
  background-color: #f7e45d;
}
.action-btn-save-as-draft {
  border: 1px solid #1dc1ff;
  color: #fff;
  background-color: #1dc1ff;
}

.custom-table-container {
  background-color: #f0fff0;
  border-radius: 10px;
  max-width: 100%;
}
.custom-table-container .table-responsive {
  padding: 5px;
  border-radius: 8px;
}
.custom-table-container .table td,
.custom-table-container .table th {
  vertical-align: middle;
  padding: 10px;
}
.custom-table-container .form-control,
.custom-table-container .form-select {
  min-width: 150px;
}
.custom-table-container .add-btn {
  font-size: 1.5rem;
  color: #0d6efd;
  cursor: pointer;
}
.custom-table-container thead {
  border-bottom: 1px solid #dee2e6;
}
.custom-table-container tr {
  border-bottom: 1px solid #dee2e6;
}
.textarea-section::placeholder {
  color: #000;
}
@media (max-width: 1535px) {
  .emoc-heading-one {
    font-size: 120px;
  }

  .emoc-heading-two {
    font-size: 60px;
    line-height: 60px;
  }
}

@media (max-width: 1400px) {
  .login-form-logo-block {
    height: 100px;
  }

  .login-form-body-block h2 {
    font-size: 26px;
    margin-bottom: 20px;
  }
  .choose-file-label {
    text-overflow: ellipsis;
    overflow: hidden;
    width: 250px;
    white-space: nowrap;
  }
}

@media (max-width: 999px) {
  .loginContainer {
    height: auto;
  }

  .login-page-body {
    padding: 0 15px;
    width: 100%;
    background-size: cover;
    background-position: center;
    height: inherit;
    max-width: 500px;
  }

  .emoc-heading-one {
    font-size: 60px;
    border-bottom: 3px solid #cbcbcb;
    padding: 15px 0;
    width: 100%;
  }

  .emoc-heading-one strong {
    letter-spacing: 0.3px;
  }

  .emoc-heading-two {
    margin-top: 10px;
    font-size: 36px;
    line-height: 40px;
    margin-bottom: 20px;
  }

  .login-form-section {
    width: 100%;
  }

  .login-form-logo-block .brand-logo {
    height: 50px;
  }

  .login-form-body-block {
    padding: 15px;
  }

  .head_action_btn {
    width: 40px;
  }

  .head_action_btn img {
    margin-right: 0;
    height: 16px;
  }

  .page-heading {
    padding: 10px;
  }

  .head_name {
    font-size: 16px;
  }

  .moc-document-block {
    padding: 10px;
  }

  .moc-details-area {
    padding: 10px;
  }

  .details-body {
    padding: 15px;
  }

  .moc-classification-block {
    padding: 10px;
  }

  .moc-classification-body {
    padding: 15px;
  }

  .moc-classification-detail {
    padding: 15px;
  }

  .section-sub-head {
    font-size: 16px;
  }

  .action-btn-cancel,
  .action-btn-save-close,
  .action-btn-forward {
    height: 50px;
    /* min-width: 112px;
    max-width: 120px; */
    font-size: 13px;
    padding: 0 10px;
  }

  .moc-details-select select {
    margin: 15px 0;
  }

  .popup-dropdown select {
    margin: 15px 0;
  }

  .login-form-logo-block {
    height: 100px;
  }

  .login-form-body-block h2 {
    font-size: 26px;
    margin-bottom: 20px;
    font-weight: 600;
  }
}

@media (max-width: 767px) {
  .login-page-body {
    max-width: inherit;
    padding-bottom: 20px;
  }

  .user-table {
    width: 1000px !important;
  }

  .emoc-pending-table {
    width: 1300px !important;
  }

  .custom-width-300 {
    width: 205px !important;
  }

  .user-forward-select {
    width: 100% !important;
  }

  .select-user-head {
    font-size: 20px;
    text-align: center;
  }

  .forward-to-note {
    font-size: 16px;
    text-align: center;
  }

  .modal_heading {
    font-size: 20x;
  }

  .h-70 {
    height: 60px !important;
  }

  .hazop-table-head {
    font-size: 20px;
  }

  .popup-inputs-block {
    padding: 20px 10px;
  }

  /* Create a custom circular border */
  .custom-radio {
    width: 18px;
    height: 18px;
  }

  /* The inner green dot when selected */
  .select-user-input[type="radio"]:checked + .custom-radio::before {
    content: "";
    width: 8px;
    height: 8px;
  }
  .loginContaine {
    overflow: visible;
  }
  .choose-file-label {
    width: 150px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  .wrap-btns {
    flex-wrap: wrap;
    gap: 10px;
  }
  .calender-input-box {
    width: 100% !important;
    margin-top: 10px !important;
  }
  .calender-input-icon {
    top: 19px;
  }

  /* new added css 9Apr2025 */
  .form-control,
  .form-select {
    min-width: 100px;
  }
  .custom-table-container .table th,
  .custom-table-container .table td {
    font-size: 0.9rem;
  }
}
/*
.form-control{
	min-height:50px;
}
*/
disabled .textarea-section, disabled .form-control{
	background-color: #e9ecef !important;
}